Summary: A collections of XML-related technologies for python
Name: 4Suite

%global momorel 2

Version: 1.0
Release: %{momorel}m
License: Apache
Group: Development/Libraries
URL: http://www.4suite.org/

Source: ftp://ftp.fourthought.com/pub/4Suite/%{name}-%{version}a3.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: python >= 2.2
BuildConflicts: python >= 2.3
BuildRequires: python-devel >= 2.2
BuildConflicts: python-devel >= 2.3
BuildRequires: PyXML >= 0.7.0

Requires: python >= 2.2
Conflicts: python >= 2.3
Requires: PyXML >= 0.7.0

%description
4Suite is a collection of Python tools for XML processing and object-databases.
It contains the following components:

4DOM is an implementation of the W3C's standard DOM API for HTML and
XML content manipulation. 4DOM has full distributed-object support
based on the IDL used in the formal DOM spec.

4XSLT is a powerful XSLT processor based on the latest draft of the
W3C's XSLT specification. One of its many uses is to render XML
documents as customized and stylized HTML for current Web
browsers. 4XSLT also provides a powerful programming API for
applications to use for low-level, customized transformations of XML
documents.

4XPath is a library implementating of the W3C's XPath language for
ndicating and selecting portions of an XML document.

4RDF is a toolkit and library for RDF processing.

4XPointer a library that can resolve XML link ends based on the W3C's
specification for the XPointer 1.0 Candidate Recommendation.

%global python_libdir %(python -c 'import sys; print sys.path[1]')

%prep
%setup -q -n %{name}

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

#python setup.py install --root=%{buildroot} --record=INSTALLED_FILES
python setup.py install --root=%{buildroot} --record=installed_files

# Generate optimized bytecode
python -O %{python_libdir}/compileall.py %{buildroot}%{python_libdir}/site-packages

find %{buildroot}%{python_libdir} -name "*pyo" \
    | grep -v _xmlplus/__init__.pyo \
    | sed "s|%{buildroot}||" \
    >> installed_files

# Remove unwanted .mo files in site-packages dir...
find %{buildroot}%{python_libdir}/site-packages -name "*.mo" | xargs rm -f

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files -f installed_files
%defattr(-,root,root)

%changelog
* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0-2m)
- accept python not only 2.2 but 2.2.*

* Wed Oct 22 2003 Kenta MURATA <muraken2@nifty.com>
- (1.0-1m)
- pretty spec file.

* Thu Oct 16 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-1m)
- update to 1.0a3

* Tue Sep 30 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.1-7m)
- License: Apache

* Wed Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.11.1-6k)
- PyXML version 0.7 -> 0.7.0.

* Wed Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.11.1-4k)
- BuildPreReq make so simple.

* Wed Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (0.11.1-2k)
- version up.

* Wed Feb 13 2002 Shingo Akagaki <dora@kondara.org>
- (0.11-4k)
- axu..
- see 0.11-2k's changelog

* Tue Feb 12 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.11.1-2k)
- source not found. update to 0.11.1

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (0.11-2k)
- rewind (TT) PyXML 0.6.6 doesn't match for printconf, still....

* Fri Oct 19 2001 Motonobu Ichimura <famao@kondara.org>
- (0.11.1-2k)
- up to 0.11.1

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- modify BuildRoot

* Sun Sep 16 2001 Toru Hoshina <t@kondara.org>
- (0.11.1-2k)

* Fri Jun 15 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add python-devel as a build dependency

* Mon May  7 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 0.11
- Require PyXML, as this is now distributed separately again

* Mon Jan 22 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 0.10.1, which includes PyXML... this should make integration
  problems between these disappear
- obsolete PyXML

* Wed Dec 13 2000 Trond Eivind Glomsr?<teg@redhat.com>
- remove a backup file from the sources

* Fri Dec 01 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 0.10.0

* Thu Nov 02 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first cut at a specfile for 4Suite
